Imports Steema.TeeChart

Partial Class _Default
    Inherits System.Web.UI.Page
    Implements System.Web.UI.ICallbackEventHandler

    Dim _callbackResult As String = Nothing

    Public Function GetCallbackResult() As String Implements System.Web.UI.ICallbackEventHandler.GetCallbackResult
        Return _callbackResult
    End Function

    Public Sub RaiseCallbackEvent(ByVal eventArgument As String) Implements System.Web.UI.ICallbackEventHandler.RaiseCallbackEvent
        WebChart1.Chart(0).FillSampleValues()

        Dim stream As New System.IO.MemoryStream
        Dim writer As New System.IO.StreamWriter(stream)
        Dim reader As New System.IO.StreamReader(stream)

        Dim hWriter As New System.Web.UI.HtmlTextWriter(writer)
        WebChart1.CreatePictureFile(hWriter, 0)
        hWriter.Flush()
        Dim outStr As String
        stream.Position = 0
        outStr = reader.ReadToEnd

        _callbackResult = outStr  'Now.ToString()
    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim cbReference As String = Page.ClientScript.GetCallbackEventReference(Me, "arg", "GetChartFromServer", "context")
        Dim cbScript As String = "function UseCallback(arg,context)" & _
        "{" & cbReference & ";" & "}"
        Page.ClientScript.RegisterClientScriptBlock(Me.GetType(), "UseCallback", cbScript, True)
    End Sub

End Class
